Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.proxy.container
Class ContainerProxyFactory

    java.lang.Object
      org.jboss.aop.proxy.container.ContainerProxyFactory

public class ContainerProxyFactory
extends Object

Version:
  $Revision: 1.31 $
Author:
  Bill Burke

Field Summary
`static String` | `PROXY_NAME_PREFIX`

Method Summary
`static javassist.CtClass` | `createProxyCtClass(boolean objectAsSuper, ArrayList mixins, Class clazz, Advisor advisor)`
`static Class` | `getProxyClass(boolean objectAsSuper, ContainerProxyCacheKey key, Advisor advisor)`
`static Class` | `getProxyClass(Class clazz, AspectManager manager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROXY_NAME_PREFIX

    public static final String PROXY_NAME_PREFIX

See Also:
  Constant Field Values

Method Detail

### getProxyClass

    public static Class getProxyClass(Class clazz,
                                      AspectManager manager)
                               throws Exception

  Throws:
    `Exception`

### getProxyClass

    public static Class getProxyClass(boolean objectAsSuper,
                                      ContainerProxyCacheKey key,
                                      Advisor advisor)
                               throws Exception

  Throws:
    `Exception`

### createProxyCtClass

    public static javassist.CtClass createProxyCtClass(boolean objectAsSuper,
                                                       ArrayList mixins,
                                                       Class clazz,
                                                       Advisor advisor)
                                                throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.